%define debug_package %{nil}

%define modname cry

Summary:        OCaml interface for MP3/Ogg Vorbis broadcast
Name:           ocaml-%{modname}
Version:        0.2.2
Release:        %mkrel 12
Source0:        http://downloads.sourceforge.net/project/savonet/%{name}/%{version}/%{name}-%{version}.tar.gz
License:        GPLv2
Group:          Development/OCaml
Url:            http://savonet.sourceforge.net/

BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib

%description
This package contains an OCaml low level implementation of
the shout protocol.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description devel
This package contains the development files needed to build applications
using %{name}.

%prep
%setup -q

%build
./configure --libdir=%{_libdir}
make all

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/%{modname}
make install


%files
%doc COPYING CHANGES README
%dir %{_libdir}/ocaml/%{modname}
%{_libdir}/ocaml/%{modname}/META
%{_libdir}/ocaml/%{modname}/*.cma
%{_libdir}/ocaml/%{modname}/*.cmi

%files devel
%{_libdir}/ocaml/%{modname}/*.a
%{_libdir}/ocaml/%{modname}/*.cmx
%{_libdir}/ocaml/%{modname}/*.cmxa
%{_libdir}/ocaml/%{modname}/*.mli


%changelog
* Mon Sep 26 2016 pterjan <pterjan> 0.2.2-12.mga6
+ Revision: 1056319
- Rebuild for fix in ocaml

* Fri Feb 12 2016 umeabot <umeabot> 0.2.2-11.mga6
+ Revision: 956321
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 tv <tv> 0.2.2-10.mga6
+ Revision: 893265
- rebuild with fixed deps

* Wed Oct 15 2014 umeabot <umeabot> 0.2.2-9.mga5
+ Revision: 749882
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.2-8.mga5
+ Revision: 683012
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.2.2-7.mga4
+ Revision: 508453
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.2.2-6.mga3
+ Revision: 361239
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.2.2-5.mga3
+ Revision: 301512
- build requires ocaml-compiler
- rebuild for ocaml-4.00.0
- rebuild for ocaml-4.00.0

* Sat Sep 29 2012 blue_prawn <blue_prawn> 0.2.2-3.mga3
+ Revision: 300056
- new rpm group for ocaml

* Sun Dec 04 2011 malo <malo> 0.2.2-2.mga2
+ Revision: 176190
- spec clean-up
- splitting package, per Ocaml policy

* Sun Oct 09 2011 shlomif <shlomif> 0.2.2-1.mga2
+ Revision: 153537
- New version - 0.2.2. Applied patch by Malo.

* Sun Oct 02 2011 shlomif <shlomif> 0.2.1-2.mga2
+ Revision: 151063
- Rebuild for new OCaml - thanks to Malo.

* Thu Sep 29 2011 shlomif <shlomif> 0.2.1-1.mga2
+ Revision: 150284
- imported package ocaml-cry

